Reply

Saving as 3D PDF

[ Edited ]

Hi !

 

I'm trying to generate a 3d PDF for ASM, PAR and DFT files.. I use the SaveAS() method :

 

...

docs.Open(mdoc.FullName)

mdoc.SaveAs(s3DPathName, , True)

mdoc.Save()

mdoc.Close()

...

 

In case of Draft documents my code parse all the parts and assemblies included in it, open each one and save it.

 

Now with drafts that contains a lot of documents, the treatment is too long and Solid Edge is blocked!

 

Any idea to fix this problem ? a way to save documents without opening them for example?

 

Thanks for any help.

 

Regards,

Tamer

 

Posted by: Tamer EL BAKKALI
Post date: 4/19/2012 12:48:41 PM

3 REPLIES

Re: Saving as 3D PDF

To SaveAs as doc without opening it:

 

Dim oApp As SolidEdgeFramework.Application = Marshal.GetActiveObject("SolidEdge.Application")


Dim oDoc As SolidEdgePart.PartDocument = GetObject("D:\\Temp\\Body01.par")
oDoc.SaveAs("D:\\Temp\\Body01.pdf")
oDoc.Close()

 

~Tushar Suradkar

www.CADVertex.com

Re: Saving as 3D PDF

For me the call

 

document.SaveAs("test.pdf", Type.Missing, true));

 

doesn't produce a 3D PDF.

 

See: http://community.plm.automation.siemens.com/t5/Solid-Edge-Developer-Forum/How-to-SaveAs-3D-PDF/m-p/3...

Re: Saving as 3D PDF

Hi,

 

I too am not getting the 3D PDF using SaveAs.

This query was regarding saving a document without actually opening it which I replied to.

 

I am too watching your other question closely to know how to create a 3D PDF after having investigated it for some time without success.

 

~Tushar